Debian Bug report logs - #701301
jffi: ftbfs with GCC-4.8

version graph

Package: src:jffi; Maintainer for src:jffi is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Sat, 23 Feb 2013 11:24:08 UTC

Severity: important

Tags: jessie, sid

Found in version jffi/1.0.2-9

Fixed in versions 1.0.2-9.1, jffi/1.0.2-10

Done: tony mancill <tmancill@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#701301; Package src:jffi. (Sat, 23 Feb 2013 11:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 23 Feb 2013 11:24:10 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: jffi: ftbfs with GCC-4.8
Date: Sat, 23 Feb 2013 11:21:02 +0000
Package: src:jffi
Version: 1.0.2-9
Severity: important
Tags: sid jessie
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.8

The package fails to build in a test rebuild on at least amd64 with
gcc-4.8/g++-4.8, but succeeds to build with gcc-4.7/g++-4.7. The
severity of this report may be raised before the jessie release.

  [exec] /«PKGBUILDDIR»/jni/jffi/Array.c:48:40: error: unused parameter 'env' [-Werror=unused-parameter]

The full build log can be found at:
http://people.debian.org/~doko/logs-20130217/gcc48/jffi_1.0.2-9_unstable_gcc48.log
The last lines of the build log are at the end of this report.

To build with GCC 4.8, either set CC=gcc-4.8 CXX=g++-4.8 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

  apt-get -t experimental install g++ g++-4.7 g++-4.8 libc6-dev

The test rebuild was done with eglibc-2.17 and GCC-4.8, so some issues
might be caused by the updated glibc.

[...]
     [exec]  ^
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c: In function 'freeShortArray':
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c:48:40: error: unused parameter 'env' [-Werror=unused-parameter]
     [exec]  static void free##JTYPE##Array(JNIEnv *env, Array *array) \
     [exec]                                         ^
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c:59:1: note: in expansion of macro 'RELEASE'
     [exec]  RELEASE(Short, jshort);
     [exec]  ^
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c: In function 'freeIntArray':
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c:48:40: error: unused parameter 'env' [-Werror=unused-parameter]
     [exec]  static void free##JTYPE##Array(JNIEnv *env, Array *array) \
     [exec]                                         ^
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c:60:1: note: in expansion of macro 'RELEASE'
     [exec]  RELEASE(Int, jint);
     [exec]  ^
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c: In function 'freeLongArray':
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c:48:40: error: unused parameter 'env' [-Werror=unused-parameter]
     [exec]  static void free##JTYPE##Array(JNIEnv *env, Array *array) \
     [exec]                                         ^
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c:61:1: note: in expansion of macro 'RELEASE'
     [exec]  RELEASE(Long, jlong);
     [exec]  ^
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c: In function 'freeFloatArray':
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c:48:40: error: unused parameter 'env' [-Werror=unused-parameter]
     [exec]  static void free##JTYPE##Array(JNIEnv *env, Array *array) \
     [exec]                                         ^
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c:62:1: note: in expansion of macro 'RELEASE'
     [exec]  RELEASE(Float, jfloat);
     [exec]  ^
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c: In function 'freeDoubleArray':
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c:48:40: error: unused parameter 'env' [-Werror=unused-parameter]
     [exec]  static void free##JTYPE##Array(JNIEnv *env, Array *array) \
     [exec]                                         ^
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c:63:1: note: in expansion of macro 'RELEASE'
     [exec]  RELEASE(Double, jdouble);
     [exec]  ^
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c: In function 'jffi_getArrayCritical':
     [exec] /«PKGBUILDDIR»/jni/jffi/Array.c:214:81: error: unused parameter 'paramType' [-Werror=unused-parameter]
     [exec]  jffi_getArrayCritical(JNIEnv* env, jobject buf, jsize offset, jsize length, int paramType, struct Array* array)
     [exec]                                                                                  ^
     [exec] cc1: all warnings being treated as errors
     [exec] make[1]: *** [/«PKGBUILDDIR»/build/jni/jffi/Array.o] Error 1
     [exec] make[1]: Leaving directory `/«PKGBUILDDIR»'

BUILD FAILED
/«PKGBUILDDIR»/custom-build.xml:125: exec returned: 2

Total time: 4 seconds
make: *** [debian/stamp-ant-build] Error 1
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2



Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:35:21 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Sun, 12 May 2013 11:45:13 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Sun, 12 May 2013 11:45:13 GMT) Full text and rfc822 format available.

Message #12 received at 701301-done@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 701301-done@bugs.debian.org
Subject: fixed in 1.0.2-9.1
Date: Sun, 12 May 2013 13:42:38 +0200
Version: 1.0.2-9.1



Reply sent to tony mancill <tmancill@debian.org>:
You have taken responsibility. (Mon, 10 Jun 2013 21:21:09 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Mon, 10 Jun 2013 21:21:09 GMT) Full text and rfc822 format available.

Message #17 received at 701301-close@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: 701301-close@bugs.debian.org
Subject: Bug#701301: fixed in jffi 1.0.2-10
Date: Mon, 10 Jun 2013 21:18:39 +0000
Source: jffi
Source-Version: 1.0.2-10

We believe that the bug you reported is fixed in the latest version of
jffi, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701301@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
tony mancill <tmancill@debian.org> (supplier of updated jffi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 10 Jun 2013 13:16:54 -0700
Source: jffi
Binary: libjffi-java libjffi-jni
Architecture: source all amd64
Version: 1.0.2-10
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: tony mancill <tmancill@debian.org>
Description: 
 libjffi-java - Java Foreign Function Interface
 libjffi-jni - Java Foreign Function Interface (JNI library)
Closes: 646594 701301 707797 711890
Changes: 
 jffi (1.0.2-10) unstable; urgency=low
 .
   * Team upload.
 .
   [ Jakub Adam ]
   * Add OSGi metadata into jffi.jar. (currently disabled - see below)
   * Add Jakub Adam to Uploaders.
   * Bump Standards-Version to 3.9.4.
 .
   [ tony mancill ]
   * Comment-out call to bnd as per request on debian-java:
     - http://lists.debian.org/debian-java/2013/02/msg00057.html
   * Remove non UTF-8 in debian changelog. (Closes: #711890)
   * Acknowledge NMU - thank you to Matthias Klose.
     - Closes: #646594, #707797, #701301
   * Address lintian warning regarding BSD license.
Checksums-Sha1: 
 493394845e7d07ed3fc41c5ca0093ddb85fc911c 2006 jffi_1.0.2-10.dsc
 8ff2ed491a6ab7a0d8ec949c95b786d120170a4c 7004 jffi_1.0.2-10.debian.tar.gz
 1d7e479ff16e302e8a5d726c17f1b63dd8c34a26 81650 libjffi-java_1.0.2-10_all.deb
 f721f9f54d12d3bb57020ae7cfd91fbbc20cc3c9 24560 libjffi-jni_1.0.2-10_amd64.deb
Checksums-Sha256: 
 c5c3a2e973cbfb1fe68ae6f5221985506d9e9239e20687bad1c0abfeedb9d3e4 2006 jffi_1.0.2-10.dsc
 8e91fbdad2a439143c6106d3ab8b6b89e6dc0fb9b47bad350e96b029bbb86a2d 7004 jffi_1.0.2-10.debian.tar.gz
 a873702b00651fd4b7cf76961fc2b16c3c24161b71b55266775e1fa51dab6d61 81650 libjffi-java_1.0.2-10_all.deb
 f76f95b9929704c7a3b6d27b8f4ec8fef5c1b31dd3bd696fe724dfe180934097 24560 libjffi-jni_1.0.2-10_amd64.deb
Files: 
 2c84ca09f86bd57e324dfa6684c8497b 2006 java optional jffi_1.0.2-10.dsc
 a0d227b0e71cda4b56f3984e601465e3 7004 java optional jffi_1.0.2-10.debian.tar.gz
 1213c74d2e642ae1882888bb4c8f4492 81650 java optional libjffi-java_1.0.2-10_all.deb
 0d6bebddb3d8f97754caee1c9b3ecf50 24560 java optional libjffi-jni_1.0.2-10_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRtjiSAAoJECHSBYmXSz6WT9oP/2GUY/CfF+vKv4r99q5vtot1
/sz3kArGM9MBPMQ4Xje1+zKsimtNUxx34bHq7mDqh8wmhqmMDFCjPZT/bLloQ/OB
pUba4X+rIZvi2gmN5zZtwd23441SEWpT9Gtb+1fohSnVWXfYC16yuhpgO/981Uwb
ewiDsH/gDf/3cCqQUPkIUv0JHNxiAHZHA30fVHeSNa+OXcGWB4UNM8AOyZX74DiH
LR6/eoiQKonWt3/9RJNASvpHM19kPrr6LiuIJLZibQgnYjS6aVUNcMwIi6ohCgfX
cKJkAPx3dVp1/QJoFpdKRYX8t6DBxlwKj7QHvecHdJfSUrzA8zoyXIDLso6sKfCX
2Qi8ghCRmbOfDa0VP54oObBq0wf8Q/qUTUDkntFdjCnMNTzEUVRLI2fz76GfZtJD
Mpcw+PLfzHd9nJsvIIQwJgS1FLSfxfwEqJ7wrjKvMEDwRN8OpHQoK/eOBls6Ui6d
0mBIVcns7c7MXBSUkpvSQy5vauvOmsks2ByzVUooP/N/KTYi4oM+/WGYeZ2TZ2T9
IZM2T1B57IaoU36KBFrDKbJt/bCzUpitXiLtmAqgvgqt/GL8Fu7kPGpVP8nvRlMB
A4A4VakEFK8wcRfepLvwQvYjwHosEXY7oXV0JprwuPCDmvQeUY9Gu2hf0yUSaCJb
C0Jz7HZOY7hJF3kM+Ln8
=+7EC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Jul 2013 07:25:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:24:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.